### Function

# GimpUi export_dialog_new

since: 2.8

#### Declaration [src]

    GtkWidget*
    gimp_export_dialog_new (
      const gchar* format_name,
      const gchar* role,
      const gchar* help_id
    )

#### Description [src]

Creates a new export dialog. All file plug-ins should use this dialog to get a consistent look on the export dialogs. Use `gimp_export_dialog_get_content_area()` to get a vertical `GtkBox` to be filled with export options. The export dialog is a wrapped `GimpDialog`.

The dialog response when the user clicks on the Export button is `GTK_RESPONSE_OK`, and when the Cancel button is clicked it is `GTK_RESPONSE_CANCEL`.

Available since: 2.8

#### Parameters

`format_name`

  Type: `const gchar*`

  The short name of the image_format (e.g. JPEG or PNG).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`role`

  Type: `const gchar*`

  The dialog’s `role` which will be set with gtk_window_set_role().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`help_id`

  Type: `const gchar*`

  The GIMP help id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The new export dialog.

The caller of the function takes ownership of the data, and is responsible for freeing it.